<?php
/**
 * @copyright (c) Kufer Software GmbH, Oderstraße 7, D-84453 Mühldorf
 */

namespace Kufer\Web\KuferTools\Utils\ResponseStrategies;

class ResponseMenuBar extends ResponseStrategy
{
  public function extendResponse($pResponse)
  {
    $pResponse->menuPunkte = $this->getMenuPunkte();

    return $pResponse;
  }

  
  private function getMenuPunkte()
  {
    $menuBar = new \MenuBar();
    $menuBar->setMenuPunkte4User($this->useCase->getUser());

    return $menuBar->getMenuPunkte();
  }
}